package com.faraphel.tasks_valider.database.api.base

import fi.iki.elonen.NanoHTTPD

/**
 * A base for the API to handle the database operations with an HTTP server.
 */
interface BaseApi {
    /**
     * Handle the HEAD request
     * This is used to check if a data exists in the database
     */
    fun head(session: NanoHTTPD.IHTTPSession): NanoHTTPD.Response

    /**
     * Handle the GET request
     * This is used to get data from the database
     */
    fun get(session: NanoHTTPD.IHTTPSession): NanoHTTPD.Response

    /**
     * Handle the POST request
     * This is used to insert data into the database
     */
    fun post(session: NanoHTTPD.IHTTPSession): NanoHTTPD.Response

    /**
     * Handle the PUT request
     * This is used to delete data from the database
     */
    fun delete(session: NanoHTTPD.IHTTPSession): NanoHTTPD.Response
}