package com.faraphel.tasks_valider.database.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import com.faraphel.tasks_valider.database.entities.base.BaseEntity

@Entity(
    tableName = "group_student",
    primaryKeys = [
        "group_id",
        "student_id"
    ],
    foreignKeys = [
        ForeignKey(
            entity = GroupEntity::class,
            parentColumns = ["id"],
            childColumns = ["group_id"],
            onDelete = ForeignKey.CASCADE
        ),
        ForeignKey(
            entity = StudentEntity::class,
            parentColumns = ["id"],
            childColumns = ["student_id"],
            onDelete = ForeignKey.CASCADE
        )
    ]
)
data class GroupStudentEntity(
    @ColumnInfo("group_id", index = true) val groupId: Long,
    @ColumnInfo("student_id", index = true) val studentId: Long,
) : BaseEntity()
