package com.faraphel.tasks_valider.ui.screen.communication.wifiP2p

import android.app.Activity
import androidx.compose.foundation.layout.Column
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.navigation.NavController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.faraphel.tasks_valider.connectivity.bwf.BwfManager
import com.faraphel.tasks_valider.ui.screen.communication.wifiP2p.client.CommunicationWifiP2pClientScreen
import com.faraphel.tasks_valider.ui.screen.communication.wifiP2p.server.CommunicationWifiP2pServerScreen


@Composable
fun CommunicationWifiP2pScreen(activity: Activity, bwfManager: BwfManager) {
    val controller = rememberNavController()

    NavHost(navController = controller, startDestination = "mode") {
        composable("mode") {
            CommunicationWifiP2pSelectContent(controller)
        }
        composable("client") {
            CommunicationWifiP2pClientScreen(bwfManager)
        }
        composable("server") {
            CommunicationWifiP2pServerScreen(activity, bwfManager)
        }
    }
}


@Composable
fun CommunicationWifiP2pSelectContent(controller: NavController) {
    Column {
        // client mode
        Button(onClick = { controller.navigate("client") }) {
            Text("Client")
        }
        // server mode
        Button(onClick = { controller.navigate("server") }) {
            Text("Server")
        }
    }
}
